org.apache.cassandra.cache

## Enum CachingOptions.RowCache.Type

- java.lang.Object
- - java.lang.Enum<CachingOptions.RowCache.Type>
  - - org.apache.cassandra.cache.CachingOptions.RowCache.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CachingOptions.RowCache.Type>

Enclosing class:
  CachingOptions.RowCache

    public static enum CachingOptions.RowCache.Type
    extends java.lang.Enum<CachingOptions.RowCache.Type>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALL`
`HEAD`
`NONE`

### Method Summary

Methods
`static CachingOptions.RowCache.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CachingOptions.RowCache.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ALL

    public static final CachingOptions.RowCache.Type ALL

#### NONE

    public static final CachingOptions.RowCache.Type NONE

#### HEAD

    public static final CachingOptions.RowCache.Type HEAD

### Method Detail

#### values

    public static CachingOptions.RowCache.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CachingOptions.RowCache.Type c : CachingOptions.RowCache.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CachingOptions.RowCache.Type valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null